/*******************************************************************
 *                                                                 *
 *   Copyright © 2014, Xavier Orr, Advanced Navigation Pty Ltd     *
 *                                                                 *
 *******************************************************************/

package com.advancednavigation.anPackets;

public class ANPacket28
{
	public float absolutePressure;
	public float differentialPressure;
	
	public Boolean absolutePressureValid;
	public Boolean differentialPressureValid;
	public Boolean absolutePressureOverRange;
	public Boolean differentialPressureOverRange;
	public Boolean absolutePressureSensorFailure;
	public Boolean differentialPressureSensorFailure;
	public Boolean temperatureValid;
	public Boolean temperatureSensorFailure;
	
	public float temperature;

	public ANPacket28(ANPacket packet)
	{
		absolutePressure = TypeConversion.bytesToFloat(packet.data, 0);
		differentialPressure = TypeConversion.bytesToFloat(packet.data, 4);
		absolutePressureValid = (packet.data[8] & 0x01) != 0;
		differentialPressureValid = (packet.data[8] & 0x02) != 0;
		absolutePressureOverRange = (packet.data[8] & 0x04) != 0;
		differentialPressureOverRange = (packet.data[8] & 0x08) != 0;
		absolutePressureSensorFailure = (packet.data[8] & 0x10) != 0;
		differentialPressureSensorFailure = (packet.data[8] & 0x20) != 0;
		temperatureValid = (packet.data[8] & 0x40) != 0;
		temperatureSensorFailure = (packet.data[8] & 0x80) != 0;
		if(packet.length >= 13)
		{
			temperature = TypeConversion.bytesToFloat(packet.data, 9);
		}
	}
}
